import { RESTDataSource as ApolloRESTDataSource, RequestOptions, Response, Request } from 'apollo-datasource-rest';
import { Context } from '../index';
export declare abstract class RESTDataSource extends ApolloRESTDataSource<Context> {
    protected willSendRequest(request: RequestOptions): void;
    protected didReceiveResponse<TResult = any>(response: Response, request: Request): Promise<TResult>;
}
