/// <reference types="node" />
import { Request } from 'express';
import { Hash } from 'crypto';
export declare function setHeaders(req: Request, headers: {
    set: (name: string, value: string) => any;
}): void;
export declare function createSHA(kind: string): Hash;
export declare function request(url: string): Promise<unknown>;
export declare function requireOrImport(path: string, callback: (err: Error | null, mod: any) => void): void;
