"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schema = void 0;
const apollo_server_1 = require("apollo-server");
const typeDefs = apollo_server_1.gql `
    type Query {
        hello: String!
    } 
`;
const resolvers = {
    Query: {
        hello() {
            return 'Hello Overlord GraphQL!';
        }
    }
};
exports.schema = [
    { typeDefs, resolvers },
];
